Bug 499174 (CVE-2009-1577) - CVE-2009-1577 cscope: putstring buffer overflow
Summary: CVE-2009-1577 cscope: putstring buffer overflow
Status: CLOSED ERRATA
Alias: CVE-2009-1577
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=bz,reported=20060422,public=20...
Keywords: Security
Depends On: 189666 499197 499198 499199
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-05 14:18 UTC by Tomas Hoger
Modified: 2009-06-16 07:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 06:35:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1101 normal SHIPPED_LIVE Moderate: cscope security update 2009-06-15 21:12:35 UTC

Description Tomas Hoger 2009-05-05 14:18:32 UTC
A stack-based buffer overflow existed in cscope's putstring function in cscope's versions prior to 15.6.  A long function or symbol name in source code file could result in cscope crash or code execution when searching the source code for any function or symbol name.

Issue was originally reported via bug #189666, it can be reproduced using memcheck/tests/match-overrun.c from valgrind source tarball.

In cscope 15.6, putstring was replaced with function fetch_string_from_dbase, which accepts target buffer size as its argument.

Upstream commit:
http://cscope.cvs.sourceforge.net/viewvc/cscope/cscope/src/find.c?view=log#rev1.19

Patch, which was used in Fedora cscope packages and is used in cscope packages in Red Hat Enterprise Linux 5:
http://cvs.fedoraproject.org/viewvc/rpms/cscope/devel/cscope-15.5-putstring-overflow.patch

Comment 3 Vincent Danen 2009-05-07 18:02:27 UTC
Common Vulnerabilities and Exposures assigned the identifier CVE-2009-1577 to this vulnerability.

Comment 4 errata-xmlrpc 2009-06-15 21:12:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:1101 https://rhn.redhat.com/errata/RHSA-2009-1101.html


Note You need to log in before you can comment on or make changes to this bug.